<html>
<head>
	<title>Test page</title>
	
	<script src="https://code.jquery.com/jquery-2.0.3.min.js"></script>	
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">	
	<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
	<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">	


	<script type="text/javascript">
		$( document ).ready(function() {
		
		$("#submitForm").click(function () {		
			
			var now = new Date();
			var tail = '_' + now.getTime();
			
			alert(tail);
			
            var formData = new FormData($('#uploadForm')[0]);					
			
			selectedFile = cleaseText(document.getElementById('fileSelector').value);		
			
			var originalFileName = selectedFile;
			console.log('Original fine name is ' + originalFileName);
			console.log('Tail is ' + tail);
			var editedFileName = selectedFile.substring(0, selectedFile.lastIndexOf('.')) + tail + selectedFile.substring(selectedFile.lastIndexOf('.'), selectedFile.length);
			console.log('Edited file name is ' + editedFileName);
			selectedFile = editedFileName;

			formData.append("finalName",editedFileName);			
			
			alert('Start uploading ' + editedFileName);

			alert("Upload now");				
						
        });
		
	
	
	
		});
	</script>
</head>

<body> 

<h1>Sample text</h1>

<h2>Smaller text</h2>

<form id="uploadForm" action="upload_ajax.php" method="post" enctype="multipart/form-data" target="upload_target" >
                     <!-- <p id="f1_upload_process">Loading...<br/><img src="loader.gif" /><br/></p> -->
                     <p id="f1_upload_form" ><br/>
                         <label> <font size="4">File: </font>  
                              <input id="fileSelector" name="myfile" type="file" size="30" />
                         </label>
                     </p>
</form>

<h3>Upload picture</h3>

	   
<button id="submitForm" class="btn btn-primary" > <span class="glyphicon glyphicon-paperclip"></span> <font size="4"> Upload pic </font> </button> 		
<br><br>
<img src="Pic/su-35s.jpg" />

</body>

</html>